using System.Text.Json;

namespace JsonRpcEndpointSample.Rpc.Abstractions;

public static class JsonRpcSerializerOptions
{
    public static readonly JsonSerializerOptions Default = CreateDefaultOptions();

    private static JsonSerializerOptions CreateDefaultOptions()
    {
        JsonSerializerOptions options = new JsonSerializerOptions();
        options.PropertyNameCaseInsensitive = true;
        return options;
    }
}
